OORQO API
Campaigns

Pause a campaign

Only queued or sending campaigns can be paused; any other status is `409 invalid_state`.

POST
/v1/campaigns/{id}/pause

Only queued or sending campaigns can be paused; any other status is 409 invalid_state.

Authorization

http
headerAuthorizationBearer <token>

Path Parameters

id*integer

Response Body

Campaign

application/json
  1. response
data*
Example Request
curl -X POST 'https://app.orqo.site/api/v1/campaigns/0/pause'
Example Response
{  "data": {    "id": 0,    "name": "string",    "channel": "string",    "status": "string",    "audience_type": "string",    "audience_ref": "string",    "template": [      null    ],    "payload": [      null    ],    "schedule_at": "string",    "timezone": "string",    "stats": {      "total": 0,      "queued": 0,      "sent": 0,      "delivered": 0,      "read": 0,      "failed": 0    },    "created_at": "string",    "updated_at": "string"  }}